# Generated from eagleclaw-0.1.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name eagleclaw

Name: rubygem-%{gem_name}
Version: 0.1.8
Release: 1%{?dist}
Summary: A small screen-scraping library
License: Public Domain
URL: http://github.com/zacharyvoase/eagleclaw
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8.6
# BuildRequires: rubygem(rspec) >= 1.3.0
# BuildRequires: rubygem(yard) >= 0.5.4
BuildArch: noarch

%description
eagleclaw is a small library to help build screen-scrapers.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/eagleclaw
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Apr 18 2022 mockbuilder - 0.1.8-1
- Initial package
